> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get events for environmental gateway

> Get list of events for environmental gateway



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/climate/getEventsForEnvironmentalGateway
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/climate/getEventsForEnvironmentalGateway:
    post:
      tags:
        - Climate Webservice
      summary: Get events for environmental gateway
      description: Get list of events for environmental gateway
      operationId: getEventsForEnvironmentalGateway
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Climate_GetEventsForEnvironmentalGatewayWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Climate_GetEventsForEnvironmentalGatewayWSResponse
          description: OK
components:
  schemas:
    Climate_GetEventsForEnvironmentalGatewayWSRequest:
      type: object
      description: Request to retrieve events for an environmental gateway.
      properties:
        createdAfterMs:
          type: integer
          format: int64
          description: Timestamp in milliseconds after which events should be retrieved
          example: 1640991600000
          nullable: true
        createdBeforeMs:
          type: integer
          format: int64
          description: Timestamp in milliseconds before which events should be retrieved
          example: 1640995200000
          nullable: true
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastEvaluatedKey:
          type: string
          nullable: true
        maxPageSize:
          type: integer
          format: int32
          description: Maximum number of results to return per page
          example: 50
          nullable: true
    Climate_GetEventsForEnvironmentalGatewayWSResponse:
      type: object
      description: Response containing events for an environmental gateway.
      properties:
        events:
          type: array
          description: List of climate events for the environmental gateway
          items:
            $ref: '#/components/schemas/E50ClimateEventType'
          nullable: true
        lastEvaluatedKey:
          type: string
          nullable: true
    E50ClimateEventType:
      type: object
      description: List of climate events for the environmental gateway
      properties:
        activities:
          type: array
          items:
            $ref: '#/components/schemas/ActivityEnum'
          nullable: true
        alertTriggerThresholds:
          type: array
          items:
            type: number
            format: double
            nullable: true
          nullable: true
        alertTriggers:
          type: array
          items:
            $ref: '#/components/schemas/ActivityEnum'
          nullable: true
        carbonMonoSense:
          $ref: '#/components/schemas/COSensorType'
        clipMetaData:
          $ref: '#/components/schemas/ClipMetaDataType'
        co2Sense:
          $ref: '#/components/schemas/Co2SensorType'
        derivedValues:
          $ref: '#/components/schemas/E50DerivedValuesType'
        deviceType:
          $ref: '#/components/schemas/DeviceTypeEnum'
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        firmwareVersion:
          type: string
          nullable: true
        formaSense:
          $ref: '#/components/schemas/FormaSensorType'
        hwVariation:
          $ref: '#/components/schemas/HardwareVariationEnum'
        leakProbe:
          $ref: '#/components/schemas/LeakProbeType'
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        pmSense:
          $ref: '#/components/schemas/PmSensorType'
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        pressSense:
          $ref: '#/components/schemas/PressureSensorType'
        tempProbe:
          $ref: '#/components/schemas/TempProbeType'
        timestampMs:
          type: integer
          format: int64
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ActivityEnum:
      type: string
      enum:
        - SOUND_LOUD
        - SOUND_GUN_SHOT
        - TAMPER
        - VISUAL_TAMPER
        - MOTION_TAMPER
        - MOTION
        - MOTION_HUMAN
        - MOTION_CAR
        - MOTION_ANIMAL
        - FACE
        - FACE_IDENTIFIED
        - FACE_UNIDENTIFIED
        - FACE_BLACKLISTED
        - FACE_ALERT
        - POSE_ANOMALOUS
        - POSE_FALL
        - LICENSEPLATE
        - LICENSEPLATE_IDENTIFIED
        - LICENSEPLATE_UNIDENTIFIED
        - LICENSEPLATE_ALERT
        - LICENSEPLATE_BLACKLISTED
        - LICENSEPLATE_TRUSTED
        - PEOPLECOUNT_HIGH
        - PEOPLECOUNT_HIGH_RESET
        - PEOPLECOUNT_LOW
        - PEOPLECOUNT_LOW_RESET
        - HUMAN_ENTER
        - HUMAN_EXIT
        - CAR_ENTER
        - CAR_EXIT
        - TEMPERATURE_EXCEEDED_HIGH
        - TEMPERATURE_EXCEEDED_LOW
        - HUMIDITY_EXCEEDED_HIGH
        - HUMIDITY_EXCEEDED_LOW
        - PM25_EXCEEDED_HIGH
        - TVOC_EXCEEDED_HIGH
        - ETOH_EXCEEDED_HIGH
        - IAQ_EXCEEDED_HIGH
        - CO2_EXCEEDED_HIGH
        - CO2_EXCEEDED_LOW
        - PROBE_TEMPERATURE_EXCEEDED_HIGH
        - PROBE_TEMPERATURE_EXCEEDED_LOW
        - PROBE_DISCONNECTED
        - PROBE_CONNECTED
        - HEAT_INDEX_EXCEEDED_HIGH
        - PRESSURE_EXCEEDED_HIGH
        - PRESSURE_EXCEEDED_LOW
        - PM10_EXCEEDED_HIGH
        - PM40_EXCEEDED_HIGH
        - PM100_EXCEEDED_HIGH
        - VOC_IDX_EXCEEDED_HIGH
        - NOX_IDX_EXCEEDED_HIGH
        - FORMALDEHYDE_EXCEEDED_HIGH
        - CARBON_MONOXIDE_EXCEEDED_HIGH
        - AQI_EXCEEDED_HIGH
        - DOOR_AJAR
        - DOOR_OPENED
        - DOOR_CLOSED
        - BUTTON_SINGLE_PRESSED
        - BUTTON_DOUBLE_PRESSED
        - BUTTON_LONG_PRESSED
        - TAG_ARRIVED
        - TAG_DEPARTED
        - TAG_MOVED
        - TAG_POSITIONING_CHANGED
        - TAG_BOUNDARY_INGRESS
        - TAG_BOUNDARY_EGRESS
        - TAG_PANIC
        - BADGE_AUTHORIZED
        - BADGE_UNAUTHORIZED
        - BADGE_UNAUTHORIZED_V2
        - BADGE_AJAR
        - BADGE_MANUAL
        - BADGE_FORCED_OPEN
        - BADGE_LOCKDOWN
        - BADGE_REQUEST_TO_EXIT
        - BADGE_DURESS
        - BADGE_SECURITY_BREACH
        - BADGE_TAMPER
        - BADGE_FACE_MISMATCH
        - POS_ORDER
        - GUN_DETECT_EVENT
        - IOT_SOUND_AGGRESSION
        - IOT_SOUND_HELP
        - IOT_AIR_CO
        - IOT_AIR_CO2
        - IOT_AIR_MASKING
        - IOT_AIR_THC
        - IOT_AIR_VAPE
        - IOT_AIR_VOC
        - IOT_AIR_TEMP
        - IOT_TAMPER
        - IOT_GUNSHOT
        - IOT_BUTTON_SINGLE_CLICK
        - IOT_BUTTON_DOUBLE_CLICK
        - IOT_BUTTON_HOLD
        - IOT_PANIC_BUTTON_TRIGGERED
        - AUDIO_SOUND_SIGNIFICANT
        - AUDIO_SOUND_LOUD
        - AUDIO_SOUND_ABUSIVE
        - AUDIO_SOUND_GREETING
        - AUDIO_SOUND_HELP
        - AUDIO_SOUND_GUN
        - AUDIO_SOUND_GLASS_BREAK
        - AUDIO_SOUND_ALARM_SMOKE_FIRE
        - AUDIO_SOUND_ALARM_CARBON_MONOXIDE
        - AUDIO_SOUND_SIREN
        - CLIMATE_VOC
        - CLIMATE_VAPE
        - CLIMATE_SMOKE
        - CLIMATE_THC
        - CLIMATE_CO2
        - CLIMATE_ETOH
        - CLIMATE_PM25
        - CLIMATE_IAQ
        - CLIMATE_LEAK
        - SOUND_AGGRESSION
        - SOUND_HELP
        - AIR_CO
        - AIR_CO2
        - AIR_MASKING
        - AIR_THC
        - AIR_VAPE
        - AIR_VOC
        - MASK_MISSING
        - HELMET_MISSING
        - GLOVES_MISSING
        - PIR_OCCUPIED
        - PIR_MOVEMENT
        - PIR_VACANT
        - CUSTOM
        - VISITOR_ARRIVED
        - VISITOR_DEPARTED
        - AC_DR_CONNECTED
        - AC_DR_DISCONNECTED
        - AC_DPI_DOOR_OPEN
        - AC_DPI_DOOR_CLOSED
        - AC_DPI_DOOR_AJAR
        - AC_DPI_DOOR_FORCED_OPEN
        - AC_DSR_UNLOCKED
        - AC_DSR_LOCKED
        - AC_DB_TRIGGERED
        - AC_PANIC_BUTTON_TRIGGERED
        - AC_REMOTE_UNLOCK
        - AC_BADGE_AUTHORIZED
        - AC_BADGE_UNAUTHORIZED
        - AC_BADGE_FACE_MISMATCH
        - AC_LOCKDOWN_ACTIVATED
        - AC_LOCKDOWN_DEACTIVATED
        - AC_TAMPER_PROX
        - AC_TAMPER_ACCEL
        - AC_TAMPER_SWITCH
        - AC_GR_ACTIVE
        - AC_GR_INACTIVE
        - AC_GI_ACTIVE
        - AC_GI_INACTIVE
        - AC_REX_ACTIVE
        - AC_REX_INACTIVE
        - AC_APERIO_DEVICE_DISCONNECTED
        - AC_APERIO_DEVICE_CONNECTED
        - AC_APERIO_DEVICE_REBOOT
        - AC_APERIO_DEVICE_TAMPER
        - AC_APERIO_LOW_BATTERY
        - AC_APERIO_FLAT_BATTERY
        - AC_APERIO_OK_BATTERY
        - POWER_SWITCH_BATTERY
        - POWER_SWITCH_PRIMARY
        - CUSTOM_LLM_BOOLEAN_TRUE
        - CUSTOM_LLM_BOOLEAN_FALSE
        - CUSTOM_LLM_THRESHOLD_EXCEEDED_LOW
        - CUSTOM_LLM_THRESHOLD_EXCEEDED_HIGH
        - ALM_AUTHORITIES_CONTACTED
        - ALM_MONITORING_ENABLED
        - ALM_MONITORING_DISABLED
        - ALM_MONITORING_SETTINGS_CHANGE
        - ALM_THREAT_CASE_CLOSED
        - ALM_THREAT_DETECTED
        - ALM_MONITORING_EVENT_DETECTED
        - ROBOT_DOG_DETECTED
        - ROBOT_ARRIVED_AT_WAYPOINT
        - ROBOT_ARRIVED_AT_POSE
        - ROBOT_WAITING_AT_POSE
        - ROBOT_MANUAL_CMD_VEL
        - ROBOT_MANUAL_ACTION
        - ROBOT_MANUAL_POSTURE
        - ROBOT_NAVIGATE_TO_POSE_START
        - ROBOT_NAVIGATE_TO_POSE_END
        - ROBOT_NAVIGATE_TO_HOME_START
        - ROBOT_NAVIGATE_TO_HOME_END
        - ROBOT_NAVIGATE_TO_WAYPOINT_START
        - ROBOT_NAVIGATE_TO_WAYPOINT_END
        - ROBOT_ROUTE_RUN_START
        - ROBOT_ROUTE_RUN_END
        - ROBOT_LOW_BATTERY_DOCKING
        - ROBOT_IDLE_DOCKING
        - ROBOT_EMERGENCY
        - LOITER_HUMAN
        - REID_HUMAN
        - INACTIVITY_HUMAN
        - INACTIVITY_CAR
        - ONGUARD_BADGE_AUTHORIZED
        - ONGUARD_BADGE_ANOMALY
        - ONGUARD_NO_ENTRY_MADE
        - ELEMENTS_BADGE_AUTHORIZED
        - ELEMENTS_BADGE_ANOMALY
        - ELEMENTS_NO_ENTRY_MADE
        - NETBOX_BADGE_AUTHORIZED
        - NETBOX_BADGE_ANOMALY
        - NETBOX_NO_ENTRY_MADE
        - THERMAL_TEMPERATURE_ALARM
        - THERMAL_TEMPERATURE_WARNING
        - THERMAL_FIRE_DETECTED
        - THERMAL_SMOKING_DETECTED
        - THERMAL_FIRE_VERIFIED
        - THERMAL_VISUAL_HOTSPOT
        - THERMAL_VISUAL_HEAT_RISE
        - THERMAL_VISUAL_WARM_BODY
        - UNKNOWN
    COSensorType:
      type: object
      properties:
        adcRaw:
          type: integer
          format: int32
          nullable: true
        adcVoltage:
          type: number
          format: double
          nullable: true
        coConcentration:
          type: number
          format: double
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    ClipMetaDataType:
      type: object
      properties:
        activitySeekPoints:
          type: object
          additionalProperties:
            type: array
            items:
              type: number
              format: float
              nullable: true
            nullable: true
          nullable: true
        activitySeekPointsV2:
          type: array
          items:
            $ref: '#/components/schemas/ClipSeekPointType'
          nullable: true
        activitySeekPointsV3:
          type: array
          items:
            $ref: '#/components/schemas/ClipSeekPointV2Type'
          nullable: true
        boundingBoxes:
          type: array
          items:
            $ref: '#/components/schemas/ClipBoundingBoxType'
          nullable: true
        clipLocation:
          $ref: '#/components/schemas/MetaDataLocationType'
        durationSec:
          type: integer
          format: int32
          nullable: true
        mGrids:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        soundSignificantLufs:
          type: array
          items:
            type: integer
            format: int32
            nullable: true
          nullable: true
        startTime:
          type: integer
          format: int64
          nullable: true
        thumbnailLocation:
          $ref: '#/components/schemas/MetaDataLocationType'
        thumbnailLocationV2:
          type: string
          nullable: true
    Co2SensorType:
      type: object
      properties:
        co2Ppm:
          type: integer
          format: int32
          nullable: true
        relHumid:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    E50DerivedValuesType:
      type: object
      properties:
        airQualityIndex:
          type: integer
          format: int32
          nullable: true
        airQualityIndexPollutant:
          $ref: '#/components/schemas/AirQualityIndexPollutantEnum'
        calibrating:
          type: boolean
          nullable: true
        deviceOrientation:
          $ref: '#/components/schemas/DeviceOrientationEnum'
        falsePositiveConfidencePercent:
          type: number
          format: float
          nullable: true
        heatIndexDegF:
          type: number
          format: double
          nullable: true
        heatIndexRangeWarning:
          $ref: '#/components/schemas/HeatIndexRangeWarningEnum'
        indoorAirQuality:
          type: number
          format: float
          nullable: true
        malfunctioningModules:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        smokeConfidencePercent:
          type: number
          format: float
          nullable: true
        smokeThcConfidencePercent:
          type: number
          format: float
          nullable: true
        smokeTobaccoConfidencePercent:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
        tvoc:
          type: number
          format: float
          nullable: true
        vapeConfidencePercent:
          type: number
          format: float
          nullable: true
        vapeDetected:
          type: boolean
          nullable: true
        vapeThcConfidencePercent:
          type: number
          format: float
          nullable: true
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
    FormaSensorType:
      type: object
      properties:
        ch2oPpb:
          type: number
          format: float
          nullable: true
        relHumid:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    HardwareVariationEnum:
      type: string
      enum:
        - RASPBERRY_PI_3
        - CAMERA_R1
        - CAMERA_R2
        - CAMERA_R2_LONG_RANGE
        - CAMERA_R2_180
        - CAMERA_R3
        - CAMERA_R4
        - CAMERA_R100
        - CAMERA_R120
        - CAMERA_R170
        - CAMERA_R200
        - CAMERA_R500
        - CAMERA_R510
        - CAMERA_R520
        - CAMERA_R600
        - SENSOR_ASSET_TAG_T1
        - SENSOR_DOOR_D1
        - SENSOR_DOOR_D20
        - SENSOR_ENVIRONMENTAL_E1
        - SENSOR_ENVIRONMENTAL_E15
        - SENSOR_ENVIRONMENTAL_E2
        - SENSOR_MOTION_M1
        - SENSOR_MOTION_M15
        - GATEWAY_A1
        - GATEWAY_A100
        - GATEWAY_ENVIRONMENTAL_E50
        - CAMERA_R220
        - CAMERA_R230
        - CAMERA_R36S
        - CAMERA_R410
        - CAMERA_R540
        - CAMERA_R545
        - BADGE_READER_DR1
        - BADGE_READER_DR40
        - BADGE_READER_DR20
        - DOOR_CONTROLLER_DC1
        - DOOR_CONTROLLER_DC20
        - DOOR_CONTROLLER_DC10
        - ETHERNET_TESTER_ET1
        - IO_BOARD_TB1
        - BLE_BUTTON_B10
        - BLE_BUTTON_B15
        - CAMERA_THIRD_PARTY_RELAY
        - CAMERA_THIRD_PARTY_NVR
        - NVR_N100
        - CAMERA_R130
        - NVR_N500
        - CAMERA_R150
        - ROBOT_RC1
        - CAMERA_R210
        - CAMERA_R650
        - UNSPECIFIED
    LeakProbeType:
      type: object
      properties:
        adcMv:
          type: number
          format: float
          nullable: true
        adcRaw:
          type: integer
          format: int64
          nullable: true
        leakDetected:
          type: boolean
          nullable: true
        moistDetected:
          type: boolean
          nullable: true
        present:
          type: boolean
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    PmSensorType:
      type: object
      properties:
        nc0p5:
          type: number
          format: float
          nullable: true
        nc10p0:
          type: number
          format: float
          nullable: true
        nc1p0:
          type: number
          format: float
          nullable: true
        nc2p5:
          type: number
          format: float
          nullable: true
        nc4p0:
          type: number
          format: float
          nullable: true
        noxIdx:
          type: number
          format: float
          nullable: true
        pm10p0:
          type: number
          format: float
          nullable: true
        pm1p0:
          type: number
          format: float
          nullable: true
        pm2p5:
          type: number
          format: float
          nullable: true
        pm4p0:
          type: number
          format: float
          nullable: true
        relHumid:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
        typPartSize:
          type: number
          format: float
          nullable: true
        vocIdx:
          type: number
          format: float
          nullable: true
    PressureSensorType:
      type: object
      properties:
        pressure:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    TempProbeType:
      type: object
      properties:
        adcMv:
          type: number
          format: float
          nullable: true
        adcRaw:
          type: integer
          format: int64
          nullable: true
        present:
          type: boolean
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    ClipSeekPointType:
      type: object
      properties:
        activity:
          $ref: '#/components/schemas/ActivityEnum'
        alert:
          type: boolean
          nullable: true
        bottom:
          type: number
          format: float
          nullable: true
        faceName:
          type: string
          nullable: true
        keypointsV2:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PointType'
          nullable: true
        left:
          type: number
          format: float
          nullable: true
        licensePlate:
          type: string
          nullable: true
        pose:
          type: string
          nullable: true
        relativeSecond:
          type: number
          format: float
          nullable: true
        right:
          type: number
          format: float
          nullable: true
        top:
          type: number
          format: float
          nullable: true
        unidentifiedFaceId:
          type: string
          nullable: true
        vehicleName:
          type: string
          nullable: true
    ClipSeekPointV2Type:
      type: object
      description: List of seek points for the clip
      properties:
        activity:
          $ref: '#/components/schemas/ActivityEnum'
        alert:
          type: boolean
          nullable: true
        customActivityColor:
          $ref: '#/components/schemas/FootageSeekPointColorEnum'
        customActivityDescription:
          type: string
          nullable: true
        customActivityDisplayName:
          type: string
          nullable: true
        dcao:
          type: boolean
          nullable: true
        dwelling:
          type: boolean
          nullable: true
        faceName:
          type: string
          nullable: true
        id:
          type: integer
          format: int32
          nullable: true
        inMotion:
          type: boolean
          nullable: true
        licensePlate:
          type: string
          nullable: true
        loudness:
          type: integer
          format: int32
          nullable: true
        pose:
          type: string
          nullable: true
        relativeSecond:
          type: number
          format: float
          nullable: true
        sensorValType:
          $ref: '#/components/schemas/SensorValType'
        stableTrackId:
          type: integer
          format: int32
          nullable: true
        toastOrderIdInfo:
          $ref: '#/components/schemas/ToastOrderIdType'
        tu:
          type: string
          nullable: true
        unidentifiedFaceId:
          type: string
          nullable: true
        vehicleName:
          type: string
          nullable: true
    ClipBoundingBoxType:
      type: object
      properties:
        activity:
          $ref: '#/components/schemas/ActivityEnum'
        alert:
          type: boolean
          nullable: true
        bottom:
          type: integer
          format: int32
          nullable: true
        confidence:
          type: number
          format: float
          nullable: true
        croppedImageLocator:
          type: string
          nullable: true
        customActivityColor:
          $ref: '#/components/schemas/FootageSeekPointColorEnum'
        customActivityDescription:
          type: string
          nullable: true
        customActivityDisplayName:
          type: string
          nullable: true
        dwelling:
          type: boolean
          nullable: true
        faceName:
          type: string
          nullable: true
        inMotion:
          type: boolean
          nullable: true
        keypointsV2:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PointType'
          nullable: true
        left:
          type: integer
          format: int32
          nullable: true
        licensePlate:
          type: string
          nullable: true
        loudness:
          type: integer
          format: int32
          nullable: true
        objectId:
          type: integer
          format: int32
          nullable: true
        pose:
          type: string
          nullable: true
        relativeSecond:
          type: number
          format: float
          nullable: true
        right:
          type: integer
          format: int32
          nullable: true
        sensorValType:
          $ref: '#/components/schemas/SensorValType'
        stableTrackId:
          type: integer
          format: int32
          nullable: true
        toastOrderIdInfo:
          $ref: '#/components/schemas/ToastOrderIdType'
        top:
          type: integer
          format: int32
          nullable: true
        unidentifiedFaceId:
          type: string
          nullable: true
        vehicleName:
          type: string
          nullable: true
    MetaDataLocationType:
      type: object
      properties:
        region:
          type: string
          nullable: true
    AirQualityIndexPollutantEnum:
      type: string
      description: Primary pollutant affecting air quality index
      enum:
        - OZONE
        - PM2P5
        - PM10P0
        - CO
        - NO2
        - SO2
        - UNKNOWN
    DeviceOrientationEnum:
      type: string
      enum:
        - CEILING
        - FLOOR
        - WALL
        - WALL_CROOKED
        - INDETERMINATE
    HeatIndexRangeWarningEnum:
      type: string
      description: Heat index range warning status
      enum:
        - HEAT_INDEX_OK
        - HEAT_INDEX_WARNING
        - HEAT_INDEX_UNSUPPORTED
    PointType:
      type: object
      properties:
        x:
          type: integer
          format: int32
          nullable: true
        'y':
          type: integer
          format: int32
          nullable: true
    FootageSeekPointColorEnum:
      type: string
      enum:
        - BLUE
        - RED
        - PURPLE
        - TAN
        - ORANGE
        - TEAL
        - GRAY
        - BLACK
    SensorValType:
      type: object
      properties:
        sensorBoolean:
          type: boolean
          nullable: true
        sensorDouble:
          type: number
          format: double
          nullable: true
        sensorLong:
          type: integer
          format: int64
          nullable: true
    ToastOrderIdType:
      type: object
      properties:
        employeeName:
          type: string
          nullable: true
        guid:
          type: string
          nullable: true
        locationName:
          type: string
          nullable: true
        restaurantName:
          type: string
          nullable: true
        toastCheckInfo:
          $ref: '#/components/schemas/ToastCheckInfo'
    ToastCheckInfo:
      type: object
      properties:
        totalAmount:
          type: number
          format: double
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````